## webkitkde 0.1~svn080826

=== CMakeLists.txt ===
project(webkitkde)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

include_directories(${KDE4_INCLUDES})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

add_subdirectory(cmake)
add_subdirectory(includes)
add_subdirectory(icons)
add_subdirectory(kdewebkit)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/kdewebkit/
)

set(webkitpart_SRCS
    webkitpart.cpp
    webview.cpp
    webpage.cpp
    webkitpartfactory.cpp
)

kde4_add_plugin(webkitkdepart ${webkitpart_SRCS})

target_link_libraries(webkitkdepart kdewebkit ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY})

install(FILES
    webkitkde_export.h
    webkitpart.h
    webview.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/webkitkde/ COMPONENT Devel)

install(TARGETS webkitkdepart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES webkitpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES webkitpart.rc DESTINATION  ${DATA_INSTALL_DIR}/webkitpart)

=== includes/CMakeLists.txt ===
install(FILES
    WebKitPart
    WebView
    KWebView
    KWebPage
    KWebPluginFactory
    DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/WebKitKde)

=== kdewebkit/CMakeLists.txt ===
project(kdewebkit)

set(kdewebkit_LIB_SRCS
    kwebview.cpp
    kwebpage.cpp
    kwebpluginfactory.cpp
    network/knetworkreply.cpp
    network/knetworkaccessmanager.cpp
    searchbar.cpp
    settings/webkitsettings.cpp
)

kde4_add_ui_files(kdewebkit_LIB_SRCS
    searchbar.ui
)

kde4_add_library(kdewebkit SHARED ${kdewebkit_LIB_SRCS})

target_link_libraries(kdewebkit
    ${KDE4_KPARTS_LIBS}
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTUITOOLS_LIBRARY}
)

#set_target_properties(kdewebkit PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
set_target_properties(kdewebkit PROPERTIES VERSION 1.0.0 SOVERSION 1) # for the moment keep something low...

install(TARGETS kdewebkit ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    kwebpage.h
    kwebview.h
    kwebpluginfactory.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/webkitkde/ COMPONENT Devel)

## webkitkde 0.1~svn090218

=== CMakeLists.txt ===
project(webkitkde)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/kdewebkit/cmake/modules
    ${CMAKE_SOURCE_DIR}/kdenetwork/cmake/modules
    ${CMAKE_SOURCE_DIR}/part/cmake/modules)

add_subdirectory(kdenetwork)
add_subdirectory(icons)
add_subdirectory(kdewebkit)
add_subdirectory(part)

=== kdenetwork/CMakeLists.txt ===
project(kdenetwork)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

include_directories(${KDE4_INCLUDES})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

add_subdirectory(cmake)
add_subdirectory(includes)

set(kdenetwork_LIB_SRCS
    knetworkreply.cpp
    knetworkaccessmanager.cpp
)

kde4_add_library(kdenetwork SHARED ${kdenetwork_LIB_SRCS})

target_link_libraries(kdenetwork
    ${KDE4_KIO_LIBS}
    ${QT_QTNETWORK_LIBRARY}
)

#set_target_properties(kdenetwork PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
set_target_properties(kdenetwork PROPERTIES VERSION 1.0.0 SOVERSION 1) # for the moment keep something low...

install(TARGETS kdenetwork ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    knetworkaccessmanager.h
    knetworkreply.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdenetwork/ COMPONENT Devel)

=== kdewebkit/CMakeLists.txt ===
project(kdewebkit)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

# QtWebKit uses QtNetwork, to KdeWebKit uses....
find_package(KdeNetwork REQUIRED)

include_directories(${KDE4_INCLUDES} ${KDENETWORK_INCLUDE_DIR} ${CMAKE_SOURCE_DIR})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

add_subdirectory(includes)
add_subdirectory(cmake)

set(kdewebkit_LIB_SRCS
    kwebview.cpp
    kwebpage.cpp
    kwebpluginfactory.cpp
    searchbar.cpp
    settings/webkitsettings.cpp
    settings/khtml_filter.cpp
)

kde4_add_ui_files(kdewebkit_LIB_SRCS
    searchbar.ui
)

kde4_add_library(kdewebkit SHARED ${kdewebkit_LIB_SRCS})

target_link_libraries(kdewebkit
    ${KDENETWORK_LIBRARIES}
    ${KDE4_KPARTS_LIBS}
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTUITOOLS_LIBRARY}
    ${QT_QTXML_LIBRARY}
)

#set_target_properties(kdewebkit PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
set_target_properties(kdewebkit PROPERTIES VERSION 1.0.0 SOVERSION 1) # for the moment keep something low...

install(TARGETS kdewebkit ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    kwebpage.h
    kwebview.h
    kwebpluginfactory.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdewebkit/ COMPONENT Devel)

=== part/CMakeLists.txt ===
project(webkitpart)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

find_package(KdeWebKit REQUIRED)

include_directories(${KDE4_INCLUDES} ${KDEWEBKIT_INCLUDE_DIR} ${CMAKE_SOURCE_DIR})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

add_subdirectory(cmake)
add_subdirectory(includes)

set(webkitkde_LIB_SRCS
    webkitpart.cpp
    webview.cpp
    webpage.cpp
)

kde4_add_library(webkitkde SHARED ${webkitkde_LIB_SRCS})

target_link_libraries(webkitkde ${KDEWEBKIT_LIBRARIES} ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY})

set_target_properties(webkitkde PROPERTIES VERSION 1.0.0 SOVERSION 1)

install(TARGETS webkitkde ${INSTALL_TARGETS_DEFAULT_ARGS})


kde4_add_plugin(webkitkdepart webkitpartfactory.cpp)

target_link_libraries(webkitkdepart webkitkde ${KDEWEBKIT_LIBRARIES} ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY})

install(FILES
    webkitkde_export.h
    webkitpart.h
    webview.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/webkitkde/ COMPONENT Devel)

install(TARGETS webkitkdepart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES webkitpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES webkitpart.rc DESTINATION  ${DATA_INSTALL_DIR}/webkitpart)

=== kdenetwork/includes/CMakeLists.txt ===
install(FILES
    KNetworkReply
    KNetworkAccessManager
    DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/KdeNetwork COMPONENT Devel)

## webkitkde 0.1~svn1023063

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,9 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
     ${CMAKE_SOURCE_DIR}/kdewebkit/cmake/modules
-    ${CMAKE_SOURCE_DIR}/kdenetwork/cmake/modules
     ${CMAKE_SOURCE_DIR}/part/cmake/modules)
 
-add_subdirectory(kdenetwork)
 add_subdirectory(icons)
 add_subdirectory(kdewebkit)
 add_subdirectory(part)
+add_subdirectory(kdelauncher)

=== icons/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
kde4_install_icons(${ICON_INSTALL_DIR})

=== kdelauncher/CMakeLists.txt ===
project(kdelauncher)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

include_directories(${KDE4_INCLUDES} ${CMAKE_SOURCE_DIR}/kdenetwork ${CMAKE_CURRENT_SOURCE_DIR}/../kdewebkit)
link_directories(${KDE4_LIB_DIR} ${CMAKE_SOURCE_DIR}/kdenetwork ${CMAKE_CURRENT_SOURCE_DIR}/../kdewebkit)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

#qt4_add_resources( kdelauncher_SRCS kdelauncher.qrc )

kde4_add_executable(kdelauncher main.cpp )
target_link_libraries( kdelauncher ${KDE4_KDEUI_LIBS} kdewebkit )

=== kdewebkit/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,7 @@
 include(KDE4Defaults)
 include(MacroLibrary)
 
-# QtWebKit uses QtNetwork, to KdeWebKit uses....
-find_package(KdeNetwork REQUIRED)
-
-include_directories(${KDE4_INCLUDES} ${KDENETWORK_INCLUDE_DIR} ${CMAKE_SOURCE_DIR})
+include_directories(${KDE4_INCLUDES} ${CMAKE_SOURCE_DIR})
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
 add_subdirectory(includes)
@@ -18,19 +15,18 @@
     kwebview.cpp
     kwebpage.cpp
     kwebpluginfactory.cpp
-    searchbar.cpp
+    searchbar_p.cpp
     settings/webkitsettings.cpp
     settings/khtml_filter.cpp
 )
 
 kde4_add_ui_files(kdewebkit_LIB_SRCS
-    searchbar.ui
+    searchbar_p.ui
 )
 
 kde4_add_library(kdewebkit SHARED ${kdewebkit_LIB_SRCS})
 
 target_link_libraries(kdewebkit
-    ${KDENETWORK_LIBRARIES}
     ${KDE4_KPARTS_LIBS}
     ${QT_QTWEBKIT_LIBRARY}
     ${QT_QTUITOOLS_LIBRARY}

=== part/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
     webkitpart.cpp
     webview.cpp
     webpage.cpp
+    websslinfo.cpp
 )
 
 kde4_add_library(webkitkde SHARED ${webkitkde_LIB_SRCS})

=== kdewebkit/includes/CMakeLists.txt ===
install(FILES
    KWebView
    KWebPage
    KWebPluginFactory
    DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/KdeWebKit COMPONENT Devel)

=== part/includes/CMakeLists.txt ===
install(FILES
    WebKitPart
    WebView
    DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/WebKitPart COMPONENT Devel)

=== part/cmake/modules/CMakeLists.txt ===
# install the cmake files
find_package(KDE4 REQUIRED)

file(GLOB cmakeFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.cmake")

set(module_install_dir ${DATA_INSTALL_DIR}/cmake/modules )

install( FILES  ${cmakeFiles} DESTINATION ${module_install_dir} )

## webkitkde 0.9~svn1085202

=== kdelauncher/CMakeLists.txt ===
project(kdelauncher)

include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

kde4_add_executable(kdelauncher main.cpp )
target_link_libraries(kdelauncher
    ${KDE4_KDEWEBKIT_LIBS}
)

=== src/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

add_subdirectory(includes)

set(kwebkit_LIB_SRCS
    kwebkitpart.cpp
    kwebkitpart_p.cpp
    kwebkitpart_ext.cpp
    webview.cpp
    webpage.cpp
    websslinfo.cpp
    networkaccessmanager.cpp
    settings/webkitsettings.cpp
    settings/khtml_filter.cpp
    ui/searchbar.cpp
    ui/passwordbar.cpp
)

kde4_add_ui_files(kwebkit_LIB_SRCS
                  ui/searchbar.ui
                  ui/passwordbar.ui
)

########################### kwebkit #############################
kde4_add_library(kwebkit SHARED ${kwebkit_LIB_SRCS})

target_link_libraries(kwebkit ${KDE4_KPARTS_LIBS} ${KDE4_KDEWEBKIT_LIBS} ${QT_QTWEBKIT_LIBRARY} ${QT_QTUITOOLS_LIBRARY})

set_target_properties(kwebkit PROPERTIES VERSION 1.0.0 SOVERSION 1)
########################### kwebkit #############################

########################### kwebkitpart #############################
kde4_add_plugin(kwebkitpart kwebkitpartfactory.cpp)

target_link_libraries(kwebkitpart ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY} kwebkit)

set_target_properties(kwebkitpart PROPERTIES VERSION 1.0.0 SOVERSION 1)
########################### kwebkitpart #############################

install(FILES kwebkitpart.h kwebkit_export.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

install(TARGETS kwebkit ${INSTALL_TARGETS_DEFAULT_ARGS})

install(TARGETS kwebkitpart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kwebkitpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES kwebkitpart.rc DESTINATION ${DATA_INSTALL_DIR}/kwebkitpart)

install(FILES error.html DESTINATION ${DATA_INSTALL_DIR}/kwebkitpart)

=== debian/changelog ===
webkitkde (0.9~svn1085202-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Bump build-depend version on kdelibs5-dev to the version specified by
      CMakeLists.txt (>= 4:4.3.80)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 31 Jan 2010 11:15:45 -0500

webkitkde (0.9~svn1073627-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot
  * Correct library dependency for the libkwebkit-dev package

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 18 Jan 2010 08:38:29 -0500

webkitkde (0.9~svn1068256-0ubuntu2) lucid; urgency=low

  * The kpart-webkit package should replace the old packages

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 31 Dec 2009 15:10:31 -0500

webkitkde (0.9~svn1068256-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Bump kdelibs5-dev build dependency to 4:4.3.74
  * Convert packaging to source format 3.0 (quilt):
    - Add debian/source/format, specify 3.0 (quilt)
    - Bump debhelper build-depend version to 7.3.16
  * Change Section to "web"
  * Add Homepage field
  * Transition webkitkde(-data) binary package to kpart-webkit, to follow
    Debian naming convention. The packages are really too small to justify
    a separate data package anyways.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 31 Dec 2009 14:41:30 -0500

webkitkde (0.1~svn1066052-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Update .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 25 Dec 2009 09:35:36 -0500

webkitkde (0.1~svn1059630-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Remove libwebkitkde packaging, moved to kde4libs
    - Rename libkdewebkit library packaging to its new name, libkwebkit
    - Remove libwebkitkde1 depend from webkitkde package, this library
      is now part of kdelibs
    - Update webkitkde-data.install
  * Port packaging to dh short rules:
    - Use dh short rules with kde addon in debian/rules
    - Remove cdbs build-dep
    - Bump compat version to 7
    - Bump pkg-kde-tools build-depend version to (>= 0.5.0)
    - Update .install files for new path
  * Bump Standards-Version to 3.8.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 08 Dec 2009 16:55:39 -0500

webkitkde (0.1~svn1023063-0ubuntu1) karmic; urgency=low

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Sep 2009 18:12:02 +0100

webkitkde (0.1~svn090719-0ubuntu1) karmic; urgency=low

  * New upstream snapshot
  * Bump Standards-Version to 3.8.2, no changes needed

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 19 Jul 2009 13:33:41 -0400

webkitkde (0.1~svn090611-0ubuntu1) karmic; urgency=low

  * New upstream snapshot (LP: #345420):
    - Remove libkdenetwork packaging, it doesn't seem to be built anymore
  * Bump compat to 7
  * debian/control:
    - Bump debhelper build-depend dep to 7 for pkg-kde-tools use
    - Add build-depend on pkg-kde-tools
    - Remove now-unnecessary build-depend on cmake
    - Bump kdelibs5-dev build-depend to the most recent version to dep on
      cmake
    - All binary packages depend on ${misc:Depends} to satisfy lintian
  * debian/rules:
    - Transition from kde4.mk from cdbs to kde.mk from pkg-kde-tools
  * Update .install files for new build system

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Jun 2009 21:31:13 -0400

webkitkde (0.1~svn090218-0ubuntu1) jaunty; urgency=low

  [ Jonathan Thomas ]
  * debian/rules:
    - Remove obsolete THIS_SHOULD_GO_TO_UNSTABLE := 1
  * debian/control:
    - Remove now-unnecessary build-dep on quilt

  [ Guillaume Martres ]
  * New upstream snapshot
  * debian/control:
    - Added binary packages libkdenetwork1, libkdenetwork-dev, libwebkitkde1
      and libwebkitkde-dev
    - Added necessary build-dep to handle the new packages
  * Updated debian/{libkdewebkit-dev,webkitkde-data}.install
  * Added debian/{libkdenetwork1,libkdenetwork-dev,libwebkitkde1,
    libwebkitkde-dev}.install
  * debian/copyright:
    - Updated copyright years, added myself to the packaging copyright
    - Use © instead of (C) as requested by lintian

 -- Guillaume Martres <smarter@ubuntu.com>  Wed, 18 Feb 2009 23:02:22 +0100

webkitkde (0.1~svn080826-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot
  * debian/rules:
    - now use /usr/share/cdbs/1/class/kde4.mk
  * removed debian/cdbs/, no longer needed with kde4.mk
  * debian/control:
    - ensure cdbs version to be (>= 0.4.52ubuntu2) for kde4.mk
    - added binary packages webkitkde-data, libkdewebkit1 and libkdewebkit1-dev
  * added debian/libkdewebkit-dev.install, debian/libkdewebkit1.install,
    debian/webkitkde-data.install and debian/webkitkde.install

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 26 Aug 2008 20:52:49 +0200

webkitkde (0.1~svn080619-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot
  * debian/control:
    - Bumped Standards-Version to 3.8.0.1
    - Recommends konqueror instead of konqueror-kde4
    - Removed Build-Deps on libqtwebkit-dev
    - Bumped kdelibs5-dev Build-Deps version to >= 4:4.0.80 for Qt 4.4
    - Use 0.1~svn$DATE instead of 0.1~svn$REVISION for version number
  * debian/rules:
    - Removed LDFLAGS change
    - Added get-orig-source target

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 19 Jun 2008 22:10:28 +0200

webkitkde (0~svn750780-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Dropped kubuntu_01_no_progress_dialogue.diff - implemented upstream
  * Updated debian/cdbs to contain the latest checkout in use for our KDE 4
    packages
  * Updated debian/rules accordingly
  * Updated debian/control - bumped standards to 3.7.3 and libqtwebkit-dev to
    0~svn27674-2

 -- Richard A. Johnson <nixternal@kubuntu.org>  Mon, 14 Jan 2008 10:25:58 -0600

webkitkde (0~svn740325-0ubuntu2) hardy; urgency=low

  * Add kubuntu_01_no_progress_dialogue.diff from upstream, stops
    showing 100 dialogue boxes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Dec 2007 11:06:01 +0000



=== debian/control ===
Source: webkitkde
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdelibs5-dev (>= 4:4.3.80)
Standards-Version: 3.8.3
Homepage: http://techbase.kde.org/Projects/WebKit
Vcs-Bzr: lp:~kubuntu-members/webkit-open-source/webkitkde-ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/webkit-open-source/webkitkde-ubuntu

Package: kpart-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: konqueror
Replaces: webkitkde, webkitkde-data
Description: WebKit KPart for KDE
 An alternative web browser plugin for Konqueror in KDE 4 using
 WebKit, a fork of KHTML.
 .
 This package is for testing only and offers no guarantees of
 stability.

Package: webkitkde
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kpart-webkit
Description: Transitional package
 This dummy package is provided for a smooth transition from webkitkde to
 the new version, named kpart-webkit.
 .
 It may safely be removed after installation.

Package: webkitkde-data
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kpart-webkit
Description: Transitional package
 This dummy package is provided for a smooth transition from webkitkde-data to
 the new version, named kpart-webkit.
 .
 It may safely be removed after installation.

Package: libkwebkit1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: webkitkde
Description: Library for WebKit integration in KDE
 A library to integrate the WebKit engine in KDE, used by the
 WebKit KPart.

Package: libkwebkit-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkwebkit1 (= ${binary:Version})
Description: Library for WebKit integration in KDE - development files
 A library to integrate the WebKit engine in KDE, used by the
 WebKit KPart.
 .
 This package contains headers and other development files needed to build
 software that use the kwebkit library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
DATE := $(shell date +%y%m%d)
VERSION := $(word 1, $(subst ~, ,$(DEB_UPSTREAM_VERSION)))
DIR := ${DEB_SOURCE_PACKAGE}-${VERSION}~svn${DATE}
TAR := ${DEB_SOURCE_PACKAGE}_${VERSION}~svn${DATE}.orig.tar.gz

get-orig-source:
	cd ${DEBIAN_DIR}/.. && \
	svn export svn://anonsvn.kde.org/home/kde/trunk/playground/libs/webkitkde ${DIR} && \
	tar czf ${CURDIR}/${TAR} ${DIR} && \
	rm -r ${DIR}

## webkitkde 0.9~svn1127626

=== CMakeLists.txt ===
project(kwebkitpart)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_subdirectory(cmake)
add_subdirectory(icons)
add_subdirectory(src)
add_subdirectory(kdelauncher)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 target_link_libraries(kwebkit ${KDE4_KPARTS_LIBS} ${KDE4_KDEWEBKIT_LIBS} ${QT_QTWEBKIT_LIBRARY} ${QT_QTUITOOLS_LIBRARY})
 
-set_target_properties(kwebkit PROPERTIES VERSION 1.0.0 SOVERSION 1)
+set_target_properties(kwebkit PROPERTIES VERSION 0.9.0 SOVERSION 1)
 ########################### kwebkit #############################
 
 ########################### kwebkitpart #############################
@@ -35,7 +35,7 @@
 
 target_link_libraries(kwebkitpart ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY} kwebkit)
 
-set_target_properties(kwebkitpart PROPERTIES VERSION 1.0.0 SOVERSION 1)
+set_target_properties(kwebkitpart PROPERTIES VERSION 0.9.0 SOVERSION 1)
 ########################### kwebkitpart #############################
 
 install(FILES kwebkitpart.h kwebkit_export.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== src/includes/CMakeLists.txt ===
install(FILES
        KWebKitPart
        DESTINATION ${INCLUDE_INSTALL_DIR}/KDE COMPONENT Devel)

=== debian/changelog ===
webkitkde (0.9~svn1127626-0ubuntu2) maverick; urgency=low

  * Remove libqt4-webkit-dbg from depends and add
    libqtwebkit4-dbg for qtwebkit transition
  * Change build-dep version to latest kdelibs for qtwebkit transition

 -- Kiszel Kristóf <ulysses@kubuntu.org>  Wed, 21 Jul 2010 14:08:29 +0200

webkitkde (0.9~svn1127626-0ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable
    - Keep safer version name
    - Do not add needless build-depend on libwebkit-dev (The KPart uses the
      QtWebKit port, not WebKit itself)
  * Fix a typo in the libkwebkit-dbg description

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 14:58:01 -0400

webkitkde (0.9svn1123738-1) unstable; urgency=low

  * New upstream version.
    - various small fixes
  * Upload to unstable

 -- Adrian von Bidder <cmot@debian.org>  Sun, 09 May 2010 15:56:13 +0200

webkitkde (0.9svn1101082-1) experimental; urgency=low

  * New upstream version.
    - upstream is now in extragear, not playground.
    - source package includes only the kpart.  KDE webkit stuff
      has moved to kdelibs.
    - depends on KDE 4.4
    - various bugfixes & enhancements
  * libkwebkit-dbg now depends on libqt4-webkit-dbg

 -- Adrian von Bidder <cmot@debian.org>  Fri, 12 Mar 2010 05:48:25 +0100

webkitkde (0.9svn1084767-1) unstable; urgency=low

  * New upstream version.
  * Add libwebkit-dev build dependency
  * prefer webkit kpart over khtml by default.

 -- Adrian von Bidder <cmot@debian.org>  Wed, 03 Feb 2010 20:02:01 +0100

webkitkde (0.9svn1068256-2) unstable; urgency=low

  * kwebkitpart.desktop: change priority to 11, so kpart-webkit (when
    installed) takes precedence over khtml.
  * Drop pkg-kde-tools build dep (implicit through kdelibs5-dev)
  * add ${misc:Depends} to make lintian happy.

 -- Adrian von Bidder <cmot@debian.org>  Fri, 22 Jan 2010 10:00:48 +0100

webkitkde (0.9svn1068256-1) unstable; urgency=low

  * New upstream version.
  * Switch to source format '3.0 (quilt)'

 -- Adrian von Bidder <cmot@debian.org>  Sun, 03 Jan 2010 17:31:10 +0100

webkitkde (0.4svn1064400-1) unstable; urgency=low

  * New upstream version.
    - fix display of the error page.

 -- Adrian von Bidder <cmot@debian.org>  Mon, 21 Dec 2009 11:32:00 +0100

webkitkde (0.4svn1064329-1) unstable; urgency=low

  * New upstream snapshot

 -- Adrian von Bidder <cmot@debian.org>  Sun, 20 Dec 2009 17:48:51 +0100

webkitkde (0.4svn1059630-1) unstable; urgency=low

  * Let it migrate to testing normally (closes: #537226)
  * New upstream snapshot
    - there is a version number hidden in part/webkitpart.cpp
    - KWallet integration
    - fix a few crashes

 -- Adrian von Bidder <cmot@debian.org>  Tue, 08 Dec 2009 12:39:06 +0100

webkitkde (0.0.20091202svn1057402-1) unstable; urgency=low

  * New upstream snapshot
    - fix compilation with gold (closes: 556675)
      (since r1052400)
  * library renaming from upstream, tracking this.

 -- Adrian von Bidder <cmot@debian.org>  Wed, 02 Dec 2009 11:28:07 +0100

webkitkde (0.0.20091118svn1050980-1) unstable; urgency=low

  * New upstream snapshot
    - early version of KWallet integration

 -- Adrian von Bidder <cmot@debian.org>  Thu, 19 Nov 2009 11:51:38 +0100

webkitkde (0.0.20091109svn1046903-1) unstable; urgency=low

  * New upstream snapshot
    - fix at least one crash

webkitkde (0.0.20091031svn1043455-1) unstable; urgency=low

  * New upstream snapshot

 -- Adrian von Bidder <cmot@debian.org>  Sun, 01 Nov 2009 16:57:49 +0100

webkitkde (0.0.20091028svn1042284-1) unstable; urgency=low

  * New upstream snapshot

 -- Adrian von Bidder <cmot@debian.org>  Thu, 29 Oct 2009 15:41:47 +0100

webkitkde (0.0.20091020svn1037794-1) unstable; urgency=low

  * New upstream snapshot
    - adds scrolling to right place after going back in history

 -- Adrian von Bidder <cmot@debian.org>  Tue, 20 Oct 2009 16:31:08 +0200

webkitkde (0.0.20091013svn1034519-1) unstable; urgency=low

  * New upstream snapshot

 -- Adrian von Bidder <cmot@debian.org>  Tue, 13 Oct 2009 08:38:22 +0200

webkitkde (0.0.20090930svn1029691-1) unstable; urgency=low

  * New upstream snapshot
    - mailto links
    - history with page anchors

 -- Adrian von Bidder <cmot@debian.org>  Wed, 30 Sep 2009 21:39:46 +0200

webkitkde (0.0.20090925svn1027805-1) unstable; urgency=low

  * New upstream snapshot
    - properly abort page loading
    - better SSL info

 -- Adrian von Bidder <cmot@debian.org>  Fri, 25 Sep 2009 14:19:33 +0200

webkitkde (0.0.20090917svn1024819-1) unstable; urgency=low

  * New upstream snapshot
    - calculates font size from DPI

 -- Adrian von Bidder <cmot@debian.org>  Thu, 17 Sep 2009 13:38:03 +0200

webkitkde (0.0.20090824svn1015061-1) unstable; urgency=low

  * New upstream snapshot
    - Fixes "crash on exit" when using flash
  * Needs at least kdelibs 4.3.1 (see #540676)

 -- Adrian von Bidder <cmot@debian.org>  Wed, 02 Sep 2009 14:43:00 +0200

webkitkde (0.0.20090715svn995948-1) unstable; urgency=low

  * New upstream snapshot
  * Upload to unstable to get wider testing audience.
  * Use -Wl,--as-needed to trim dependencies

 -- Adrian von Bidder <cmot@debian.org>  Wed, 15 Jul 2009 14:51:22 +0200

webkitkde (0.0.20090529svn974351-3) experimental; urgency=low

  * create -dbg package
  * rename konq-plugin-webkit to kpart-webkit
  * improve dependencies

 -- Adrian von Bidder <cmot@debian.org>  Fri, 12 Jun 2009 07:15:30 +0200

webkitkde (0.0.20090529svn974351-2) experimental; urgency=low

  * debian/rules: use dh_prep, not dh_clean -k
  * use pkg-kde-tools for cmake flags
  * split off libwebkitkde1{,-dev} packages

 -- Adrian von Bidder <cmot@debian.org>  Mon, 08 Jun 2009 18:50:44 +0200

webkitkde (0.0.20090529svn974351-1) experimental; urgency=low

  * Initial packaging (closes: #531754)

 -- Adrian von Bidder <cmot@debian.org>  Sat, 06 Jun 2009 15:20:44 +0200

=== debian/control ===
Source: webkitkde
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adrian von Bidder <cmot@debian.org>
Build-Depends: cmake, debhelper (>= 7), kdelibs5-dev (>= 4:4.4.92-0ubuntu3)
Standards-Version: 3.8.3
Homepage: http://techbase.kde.org/Projects/WebKit
Vcs-Bzr: lp:~kubuntu-members/webkit-open-source/webkitkde-ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/webkit-open-source/webkitkde-ubuntu

Package: kpart-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkwebkit1 (= ${binary:Version})
Description: WebKit KPart
 A Plug-In for the Konqueror web browser and other KDE applications allowing
 the WebKit HTML renderer to be used instead of the traditional KHTML.

Package: libkwebkit1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libwebkitkde1
Replaces: libwebkitkde1
Description: KDE bindings for WebKit
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.

Package: libkwebkit-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libkwebkit1 (= ${binary:Version}), kdelibs5-dev
Conflicts: libwebkitkde-dev
Replaces: libwebkitkde-dev
Description: KDE bindings for WebKit, Development files
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.
 .
 This package contains the header files needed for software development.

Package: libkwebkit-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, libkwebkit1 (= ${binary:Version}), kdelibs5-dbg, libqtwebkit4-dbg
Conflicts: libwebkitkde-dbg
Replaces: libwebkitkde-dbg
Description: KDE bindings for WebKit, Development files
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.
 .
 This package contains the debugging symbols needed for software development.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/makefiles/1/variables.mk
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir

	mkdir build || true
	cd build && cmake .. \
            -DCMAKE_INSTALL_PREFIX=/usr \
            -DCMAKE_CXX_FLAGS="-Wl,--as-needed -Wl,-z,defs" \
            $(DEB_CMAKE_KDE4_FLAGS)

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) -C build

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --fail-missing
	dh_installchangelogs
	dh_installdocs
	dh_lintian
	dh_link
	dh_strip --dbg-package=libkwebkit-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -Xkwebkitpart.so
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

# vim: set filetype=make

## webkitkde 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,3 +9,6 @@
 add_subdirectory(icons)
 add_subdirectory(src)
 add_subdirectory(kdelauncher)
+find_package(Msgfmt REQUIRED)
+find_package(Gettext REQUIRED)
+add_subdirectory( po )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pa )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tg )
add_subdirectory( th )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,15 +27,13 @@
 
 target_link_libraries(kwebkit ${KDE4_KPARTS_LIBS} ${KDE4_KDEWEBKIT_LIBS} ${QT_QTWEBKIT_LIBRARY} ${QT_QTUITOOLS_LIBRARY})
 
-set_target_properties(kwebkit PROPERTIES VERSION 0.9.0 SOVERSION 1)
+set_target_properties(kwebkit PROPERTIES VERSION 0.9.6 SOVERSION 0.9.6 SOVERSION 1)
 ########################### kwebkit #############################
 
 ########################### kwebkitpart #############################
 kde4_add_plugin(kwebkitpart kwebkitpartfactory.cpp)
 
 target_link_libraries(kwebkitpart ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY} kwebkit)
-
-set_target_properties(kwebkitpart PROPERTIES VERSION 0.9.0 SOVERSION 1)
 ########################### kwebkitpart #############################
 
 install(FILES kwebkitpart.h kwebkit_export.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== debian/changelog ===
webkitkde (0.9.6-0ubuntu3) oneiric; urgency=low

  * Add missing build-depends on libqtwebkit-dev to fix FTBFS (LP: #832933)
  * Update Vcs-* headers to current location

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Sep 2011 08:55:29 -0400

webkitkde (0.9.6-0ubuntu2) natty; urgency=low

  * Add missing build-depends on pkg-kde-tools to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Sun, 07 Nov 2010 18:25:41 -0500

webkitkde (0.9.6-0ubuntu1) natty; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 20 Oct 2010 23:19:02 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Adrian von Bidder <cmot@debian.org>
-Build-Depends: cmake, debhelper (>= 7), kdelibs5-dev (>= 4:4.4.92-0ubuntu3)
+Build-Depends: cmake, debhelper (>= 7), kdelibs5-dev (>= 4:4.4.92-0ubuntu3), libqtwebkit-dev, pkg-kde-tools
 Standards-Version: 3.8.3
 Homepage: http://techbase.kde.org/Projects/WebKit
-Vcs-Bzr: lp:~kubuntu-members/webkit-open-source/webkitkde-ubuntu
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/webkit-open-source/webkitkde-ubuntu
+Vcs-Bzr: http://code.launchpad.net/~kubuntu-packagers/webkit-open-source/webkitkde-ubuntu
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/webkit-open-source/webkitkde-ubuntu
 
 Package: kpart-webkit
 Architecture: any

## webkitkde 0.9.6svn1158036

=== debian/changelog ===
webkitkde (0.9.6svn1158036-3squeeze1) testing-proposed-updates; urgency=medium

  * Correct README.Debian

 -- Adrian von Bidder <cmot@debian.org>  Thu, 16 Sep 2010 07:47:08 +0200

webkitkde (0.9.6svn1158036-2.1) unstable; urgency=low

  * Non-maintainer upload, acked by maintainer.
  * Revert the changes to upstream regarding priorities of plugins.

 -- Sune Vuorela <sune@debian.org>  Wed, 01 Sep 2010 23:42:47 +0200

webkitkde (0.9.6svn1158036-2) unstable; urgency=low

  * For now: only warn about ABI problems, don't fail the build.

 -- Adrian von Bidder <cmot@debian.org>  Thu, 05 Aug 2010 14:33:58 +0200

webkitkde (0.9.6svn1158036-1) unstable; urgency=low

  * New upstream version.
    - Favicon and link color changes
  * Rename back to libkwebkit1
    - Provide the 0.9.5 name to not break kdenetwork (kget); ABI didn't change
    - this hack will be removed after the next kdenetwork upload.
  * Generate a symbols file

 -- Adrian von Bidder <cmot@debian.org>  Wed, 04 Aug 2010 19:37:14 +0200

webkitkde (0.9svn1148394-2) unstable; urgency=low

  * Add Replaces/Conflicts, sorry about that (closes: #588687)

 -- Adrian von Bidder <cmot@debian.org>  Sun, 11 Jul 2010 21:28:47 +0200

webkitkde (0.9svn1148394-1) unstable; urgency=low

  * New upstream version.
  * restore libkwebkit1 package name (following upstream)

 -- Adrian von Bidder <cmot@debian.org>  Sat, 10 Jul 2010 16:03:24 +0200

webkitkde (0.9svn1143138-1) unstable; urgency=low

  * New upstream version.
  * kdenetwork has migrated to testing, upload to unstable

 -- Adrian von Bidder <cmot@debian.org>  Tue, 29 Jun 2010 07:20:17 +0200

webkitkde (0.9svn1136920-1) experimental; urgency=low

  * experimental: wait for kdenetwork to be in squeeze
  * New upstream version.
    - fixes konqueror history handling
    - warn before closing tab with unsent form data
  * Fixes from Ubuntu (typo, drop build-dependency on libwebkit-dev)
  * History fixes require soname change

 -- Adrian von Bidder <cmot@debian.org>  Sat, 12 Jun 2010 12:59:34 +0200

webkitkde (0.9svn1133684-1) unstable; urgency=low

  * New upstream version.
  * Add pkg-kde-tools to build dependencies (Closes: #584389)

 -- Adrian von Bidder <cmot@debian.org>  Thu, 03 Jun 2010 12:46:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: webkitkde
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adrian von Bidder <cmot@debian.org>
-Build-Depends: cmake, debhelper (>= 7), kdelibs5-dev (>= 4:4.4.92-0ubuntu3), libqtwebkit-dev, pkg-kde-tools
-Standards-Version: 3.8.3
+Maintainer: Adrian von Bidder <cmot@debian.org>
+Build-Depends: cmake, debhelper (>= 7), kdelibs5-dev (>= 4:4.4), pkg-kde-tools
+Standards-Version: 3.8.4
 Homepage: http://techbase.kde.org/Projects/WebKit
-Vcs-Bzr: http://code.launchpad.net/~kubuntu-packagers/webkit-open-source/webkitkde-ubuntu
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/webkit-open-source/webkitkde-ubuntu
+Vcs-Browser: https://fortytwo.ch/hg/pkg-webkitkde-squeeze
+Vcs-Hg: https://fortytwo.ch/hg/pkg-webkitkde-squeeze
 
 Package: kpart-webkit
 Architecture: any
@@ -20,8 +19,9 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libwebkitkde1
-Replaces: libwebkitkde1
+Provides: libkwebkit0.9.5
+Conflicts: libkwebkit0.9.5
+Replaces: libkwebkit0.9.5
 Description: KDE bindings for WebKit
  KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
  engine in KDE applications.
@@ -42,7 +42,7 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: ${misc:Depends}, libkwebkit1 (= ${binary:Version}), kdelibs5-dbg, libqtwebkit4-dbg
+Depends: ${misc:Depends}, libkwebkit1 (= ${binary:Version}), kdelibs5-dbg, libqt4-webkit-dbg
 Conflicts: libwebkitkde-dbg
 Replaces: libwebkitkde-dbg
 Description: KDE bindings for WebKit, Development files

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 include /usr/share/pkg-kde-tools/makefiles/1/variables.mk
 #export DH_VERBOSE=1
+export DPKG_GENSYMBOLS_CHECK_LEVEL=0
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 configure: configure-stamp
 configure-stamp:
@@ -21,7 +27,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) -C build
+	$(MAKE) $(MAKEFLAGS) -C build
 
 	touch $@

## webkitkde 0.9.6svn1180498

=== debian/changelog ===
webkitkde (0.9.6svn1180498-2) unstable; urgency=low

  * Drop the libkwebkit0.9.5 name, new versions will change ABI anyway.
  * Drop mention of very old (used in sid only) package names
  * Build-Dependencies: QtWebkit is not in qt anymore. (Closes: #618133)

 -- Adrian von Bidder <cmot@debian.org>  Sun, 13 Mar 2011 19:59:59 +0100

webkitkde (0.9.6svn1180498-1) unstable; urgency=low

  * New upstream version.
    - last version that can be built with KDE < 4.5.69
  * debian/rules: Don't ignore build problems due to ABI changes anymore.

 -- Adrian von Bidder <cmot@debian.org>  Tue, 28 Sep 2010 20:42:07 +0200

webkitkde (0.9.6svn1170614-1) unstable; urgency=low

  * New upstream version.
    - History fixes.
  * Merge NMU and adjust README.Debian to match the new reality
  * Convert symbol file to C++
  * Update to Policy 3.9.1

 -- Adrian von Bidder <cmot@debian.org>  Sun, 05 Sep 2010 15:17:45 +0200

=== debian/control ===
Source: webkitkde
Section: web
Priority: optional
Maintainer: Adrian von Bidder <cmot@debian.org>
Build-Depends: cmake, debhelper (>= 7), kdelibs5-dev (>= 4:4.4), libqtwebkit-dev, pkg-kde-tools
Standards-Version: 3.9.1
Homepage: http://techbase.kde.org/Projects/WebKit
Vcs-Browser: https://fortytwo.ch/hg/pkg-webkitkde
Vcs-Hg: https://fortytwo.ch/hg/pkg-webkitkde

Package: kpart-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkwebkit1 (= ${binary:Version})
Description: WebKit KPart
 A Plug-In for the Konqueror web browser and other KDE applications allowing
 the WebKit HTML renderer to be used instead of the traditional KHTML.

Package: libkwebkit1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE bindings for WebKit
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.

Package: libkwebkit-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libkwebkit1 (= ${binary:Version}), kdelibs5-dev
Description: KDE bindings for WebKit, Development files
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.
 .
 This package contains the header files needed for software development.

Package: libkwebkit-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, libkwebkit1 (= ${binary:Version}), kdelibs5-dbg, libqt4-webkit-dbg
Description: KDE bindings for WebKit, Development files
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.
 .
 This package contains the debugging symbols needed for software development.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/pkg-kde-tools/makefiles/1/variables.mk
 #export DH_VERBOSE=1
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

## webkitkde 1.1.0git80efcf77

=== CMakeLists.txt ===
project(kwebkitpart)

# search packages used by KDE
find_package(KDE4 4.5.69 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

add_subdirectory(cmake)
add_subdirectory(icons)
add_subdirectory(src)
add_subdirectory(kdelauncher)

=== src/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

set(kwebkit_LIB_SRCS
    kwebkitpart.cpp
    kwebkitpart_ext.cpp
    kwebkitpartfactory.cpp
    webview.cpp
    webpage.cpp
    websslinfo.cpp
    webhistoryinterface.cpp
    networkaccessmanager.cpp
    settings/webkitsettings.cpp
    settings/khtml_filter.cpp
    ui/searchbar.cpp
    ui/passwordbar.cpp
)

kde4_add_ui_files(kwebkit_LIB_SRCS
                  ui/searchbar.ui
                  ui/passwordbar.ui
)

########################### kwebkitpart #############################
kde4_add_plugin(kwebkitpart ${kwebkit_LIB_SRCS})

target_link_libraries(kwebkitpart ${KDE4_KPARTS_LIBS} ${KDE4_KDEWEBKIT_LIBS} ${QT_QTWEBKIT_LIBRARY} ${QT_QTUITOOLS_LIBRARY})
########################### kwebkitpart #############################

install(TARGETS kwebkitpart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kwebkitpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES kwebkitpart.rc DESTINATION ${DATA_INSTALL_DIR}/kwebkitpart)

install(FILES error.html DESTINATION ${DATA_INSTALL_DIR}/kwebkitpart)

=== cmake/modules/CMakeLists.txt ===
file(GLOB cmakeFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.cmake")

set(module_install_dir ${DATA_INSTALL_DIR}/cmake/modules)

install(FILES ${cmakeFiles} DESTINATION ${module_install_dir})

=== debian/changelog ===
webkitkde (1.1.0git80efcf77-1ubuntu1) precise-security; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_cve-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Nov 2014 15:56:53 +0100

webkitkde (1.1.0git80efcf77-1) experimental; urgency=low

  * New upstream version; upstream moved to git
  * build against KDE 4.6; adjust build dependency
    (NOTE: needs packages from http://qt-kde.debian.net/)
  * Drop library package, there's only the kpart anymore;
    conflict with the old libkwebkit-dev (FindKWebKitPart.cmake)
  * remove mention of "kdelauncher" from CmakeLists.txt: not present in git

 -- Adrian von Bidder <cmot@debian.org>  Mon, 04 Apr 2011 22:08:32 +0200

webkitkde (0.9.6svn1187649-1) experimental; urgency=low

  * New upstream version.
    - Switch to the stable branch in subversion; trunk requires KDE 4.6
  * Drop the libkwebkit0.9.5 name, new versions will change ABI anyway.
  * Drop mention of very old (used in sid only) package names
  * Build-Dependencies: QtWebkit is not in qt anymore. (Closes: #618133)

 -- Adrian von Bidder <cmot@debian.org>  Sun, 13 Mar 2011 19:59:59 +0100

=== debian/control ===
Source: webkitkde
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Adrian von Bidder <cmot@debian.org>
Build-Depends: cmake, debhelper (>= 7), kdelibs5-dev (>= 4:4.6), libqtwebkit-dev, pkg-kde-tools
Standards-Version: 3.9.1
Homepage: http://techbase.kde.org/Projects/WebKit
Vcs-Browser: https://fortytwo.ch/hg/avbidder/pkg-webkit/
Vcs-Hg: https://fortytwo.ch/hg/avbidder/pkg-webkit/

Package: kpart-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libkwebkit-dev
Description: WebKit KPart
 A Plug-In for the Konqueror web browser and other KDE applications allowing
 the WebKit HTML renderer to be used instead of the traditional KHTML.

=== debian/rules ===
--- 
+++ 
@@ -58,10 +58,10 @@
 	dh_installdocs
 	dh_lintian
 	dh_link
-	dh_strip --dbg-package=libkwebkit-dbg
+	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -Xkwebkitpart.so
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
